LinuxQMISDK: HDRSysInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
HDRSysInfo Struct Reference

## Data Fields
sysInfoCommon | sysInfoHDR
BYTE | isSysPrlMatchValid
BYTE | isSysPrlMatch
BYTE | hdrPersonalityValid
BYTE | hdrPersonality
BYTE | hdrActiveProtValid
BYTE | hdrActiveProt
BYTE | is856SysIdValid
BYTE | is856SysId [16]

## Detailed Description

Structure for storing the HDR System Information.

Parameters

  sysInfoHDR | See sysInfoCommon for more information.
  isSysPrlMatchValid | Indicates whether the system PRL match is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  isSysPrlMatch | Indicates whether the system is in a PRL. Only applies to CDMA/HDR. 0x00 - System is not in a PRL 0x01 - System is in a PRL 0xFF - Not Available If the system is not in a PRL, roam_status carries the value from the default roaming indicator in the PRL. If the system is in a PRL, roam_status is set to the value based on the standard specification.
  hdrPersonalityValid | Indicates whether the HDR personality is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  hdrPersonality | HDR personality information. Only applicable for HDR. 0x00 - None 0x02 - HRPD 0x03 - eHRPD 0xFF - Not Available
  hdrActiveProtValid | Indicates whether the HDR active protocol revision information is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  hdrActiveProt | HDR active protocol revision information . Only applicable for HDR. 0x00 - None 0x02 - HDR Rel 0 0x03 - HDR Rel A 0x04 - HDR Rel B 0xFF - Not Available
  is856SysIdValid | Indicates whether the IS-856 system ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  is856SysId[SLQS_SYSTEM_ID_SIZE] | IS-856 system ID. Only applicable for HDR.

## Field Documentation

BYTE HDRSysInfo::hdrActiveProt

BYTE HDRSysInfo::hdrActiveProtValid

BYTE HDRSysInfo::hdrPersonality

BYTE HDRSysInfo::hdrPersonalityValid

BYTE HDRSysInfo::is856SysId[16]

BYTE HDRSysInfo::is856SysIdValid

BYTE HDRSysInfo::isSysPrlMatch

BYTE HDRSysInfo::isSysPrlMatchValid

sysInfoCommon HDRSysInfo::sysInfoHDR